org.apache.hadoop.hdfs.server.namenode

## Class FSImageFormatProtobuf.LoaderContext

- java.lang.Object
- - org.apache.hadoop.hdfs.server.namenode.FSImageFormatProtobuf.LoaderContext

- Enclosing class:
    org.apache.hadoop.hdfs.server.namenode.FSImageFormatProtobuf

      public static final class FSImageFormatProtobuf.LoaderContext
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoaderContext()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ArrayList<INodeReference>` | `getRefList()`
    `SerialNumberManager.StringTable` | `getStringTable()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoaderContext

          public LoaderContext()

  - ### Method Detail

    - #### getStringTable

          public SerialNumberManager.StringTable getStringTable()

    - #### getRefList

          public ArrayList<INodeReference> getRefList()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.